Embedded Tomcat

Must-share information (formatted with Markdown):

  • which versions are you using (SonarQube, Scanner, Plugin, and any relevant extension): SonarQube Data Center Ed - 7.9.1
  • what are you trying to achieve: Need documentation that SonarQube is embedded into SonarQube
  • what have you tried so far to achieve this: Checked the documentation

Hi,

Could someone please point me to some documentation to show that Tomcat is embedded in SonarQube and cannot be upgraded outside of the application? I checked the documentation and looked for other posts in this Community, but didn’t find anything. I provided them a screen capture of the SonarQube directory but that wasn’t sufficient for them.

My company is asking for evidence to prove this so we can get an exception. A statement from support here would suffice as well.

Thanks for your help!

Hi @xnotjohn ,

Sonarqube 7.9.1 is eol. you should upgrade to the latest LTS release (as of now 7.9.5)

if your superiors do not accept a screenshot then maybe the code would help?
As of me writing this post we embed tomcat 8.5.51 in our LTS release as defined here.